package kr.co.zumo.app.lifeplus.bean.api;

import org.junit.Test;

import static org.junit.Assert.*;

/**
 * AuthRequestBeanTest
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 10. 5.]   [최초 작성]
 * @since 2018. 10. 5.
 */
public class AuthRequestBeanTest {

  @Test
  public void setName() {
    AuthRequestBean bean = new AuthRequestBean();
    bean.setName("1111111");

    assertEquals("1111111", bean.getName());
    assertEquals(null, bean.getGender());
    assertEquals(null, bean.getNationality());
    assertEquals(null, bean.getPhoneNumber());
    assertEquals(null, bean.getBirthDate());
    assertEquals(null, bean.getDeviceUuid());
    assertEquals(null, bean.getMobileCompany());
  }

  @Test
  public void setGender() {
    AuthRequestBean bean = new AuthRequestBean();
    bean.setGender("man");

    assertEquals(null, bean.getName());
    assertEquals("man", bean.getGender());
    assertEquals(null, bean.getNationality());
    assertEquals(null, bean.getPhoneNumber());
    assertEquals(null, bean.getBirthDate());
    assertEquals(null, bean.getDeviceUuid());
    assertEquals(null, bean.getMobileCompany());
  }

  @Test
  public void setNationality() {
    AuthRequestBean bean = new AuthRequestBean();
    bean.setNationality("domestic");

    assertEquals(null, bean.getName());
    assertEquals(null, bean.getGender());
    assertEquals("domestic", bean.getNationality());
    assertEquals(null, bean.getPhoneNumber());
    assertEquals(null, bean.getBirthDate());
    assertEquals(null, bean.getDeviceUuid());
    assertEquals(null, bean.getMobileCompany());
  }

  @Test
  public void setPhoneNumber() {
    AuthRequestBean bean = new AuthRequestBean();
    bean.setPhoneNumber("37037037");

    assertEquals(null, bean.getName());
    assertEquals(null, bean.getGender());
    assertEquals(null, bean.getNationality());
    assertEquals("37037037", bean.getPhoneNumber());
    assertEquals(null, bean.getBirthDate());
    assertEquals(null, bean.getDeviceUuid());
    assertEquals(null, bean.getMobileCompany());
  }

  @Test
  public void setBirthDate() {
    AuthRequestBean bean = new AuthRequestBean();
    bean.setBirthDate("17901130");

    assertEquals(null, bean.getName());
    assertEquals(null, bean.getGender());
    assertEquals(null, bean.getNationality());
    assertEquals(null, bean.getPhoneNumber());
    assertEquals("17901130", bean.getBirthDate());
    assertEquals(null, bean.getDeviceUuid());
    assertEquals(null, bean.getMobileCompany());
  }

  @Test
  public void setDeviceUuid() {
    AuthRequestBean bean = new AuthRequestBean();
    bean.setDeviceUuid("87298450237");

    assertEquals(null, bean.getName());
    assertEquals(null, bean.getGender());
    assertEquals(null, bean.getNationality());
    assertEquals(null, bean.getPhoneNumber());
    assertEquals(null, bean.getBirthDate());
    assertEquals("87298450237", bean.getDeviceUuid());
    assertEquals(null, bean.getMobileCompany());
  }

  @Test
  public void setMobileCompany() {
    AuthRequestBean bean = new AuthRequestBean();
    bean.setMobileCompany("LGT");

    assertEquals(null, bean.getName());
    assertEquals(null, bean.getGender());
    assertEquals(null, bean.getNationality());
    assertEquals(null, bean.getPhoneNumber());
    assertEquals(null, bean.getBirthDate());
    assertEquals(null, bean.getDeviceUuid());
    assertEquals("LGT", bean.getMobileCompany());
  }
}